質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

87.48%

ターミナル ERROR: Command errored out with exit status 1:

解決済

回答 2

投稿

  • 評価
  • クリップ 0
  • VIEW 5,625

score 4

前提・実現したいこと

ここに質問の内容を詳しく書いてください。
(例)PHP(CakePHP)で●●なシステムを作っています。
■■な機能を実装中に以下のエラーメッセージが発生しました。

ターミナルでpythonのライブラリをインストールしようとすると長いエラーがでて困ってます 初心者です

発生している問題・エラーメッセージ

ターミナルで pip install --upgrade dlib==19.20.0 を打ち込んだところエラーが出ました

解決の知識のご教示お願いします

エラーメッセージ
 ERROR: Command errored out with exit status 1:
     command: /Users/Mr.Kanto/.pyenv/versions/anaconda3-2020.07/bin/python -u -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'/private/var/folders/z1/36pwjx2x4g59d2hvgtrlkjg40000gn/T/pip-install-r6h6bvbh/dlib_3de0f69c9fa748378eaf246904dea29f/setup.py'"'"'; __file__='"'"'/private/var/folders/z1/36pwjx2x4g59d2hvgtrlkjg40000gn/T/pip-install-r6h6bvbh/dlib_3de0f69c9fa748378eaf246904dea29f/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' install --record /private/var/folders/z1/36pwjx2x4g59d2hvgtrlkjg40000gn/T/pip-record-xa5xf8b5/install-record.txt --single-version-externally-managed --compile --install-headers /Users/Mr.Kanto/.pyenv/versions/anaconda3-2020.07/include/python3.8/dlib
         cwd: /private/var/folders/z1/36pwjx2x4g59d2hvgtrlkjg40000gn/T/pip-install-r6h6bvbh/dlib_3de0f69c9fa748378eaf246904dea29f/
    Complete output (55 lines):
    running install
    running build
    running build_py
    package init file 'dlib/__init__.py' not found (or not a regular file)
    running build_ext
    Traceback (most recent call last):
      File "/private/var/folders/z1/36pwjx2x4g59d2hvgtrlkjg40000gn/T/pip-install-r6h6bvbh/dlib_3de0f69c9fa748378eaf246904dea29f/setup.py", line 120, in get_cmake_version
        out = subprocess.check_output(['cmake', '--version'])
      File "/Users/ユーザー名/.pyenv/versions/anaconda3-2020.07/lib/python3.8/subprocess.py", line 411, in check_output
        return run(*popenargs, stdout=PIPE, timeout=timeout, check=True,
      File "/Users/ユーザー名/.pyenv/versions/anaconda3-2020.07/lib/python3.8/subprocess.py", line 489, in run
        with Popen(*popenargs, **kwargs) as process:
      File "/Users/ユーザー名/.pyenv/versions/anaconda3-2020.07/lib/python3.8/subprocess.py", line 854, in __init__
        self._execute_child(args, executable, preexec_fn, close_fds,
      File "/Users/ユーザー名/.pyenv/versions/anaconda3-2020.07/lib/python3.8/subprocess.py", line 1702, in _execute_child
        raise child_exception_type(errno_num, err_msg, err_filename)
    FileNotFoundError: [Errno 2] No such file or directory: 'cmake'

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
      File "<string>", line 1, in <module>
      File "/private/var/folders/z1/36pwjx2x4g59d2hvgtrlkjg40000gn/T/pip-install-r6h6bvbh/dlib_3de0f69c9fa748378eaf246904dea29f/setup.py", line 223, in <module>
        setup(
      File "/Users/ユーザー名/.pyenv/versions/anaconda3-2020.07/lib/python3.8/site-packages/setuptools/__init__.py", line 165, in setup
        return distutils.core.setup(**attrs)
      File "/Users/ユーザー名/.pyenv/versions/anaconda3-2020.07/lib/python3.8/distutils/core.py", line 148, in setup
        dist.run_commands()
      File "/Users/ユーザー名/.pyenv/versions/anaconda3-2020.07/lib/python3.8/distutils/dist.py", line 966, in run_commands
        self.run_command(cmd)
      File "/Users/ユーザー名/.pyenv/versions/anaconda3-2020.07/lib/python3.8/distutils/dist.py", line 985, in run_command
        cmd_obj.run()
      File "/Users/ユーザー名/.pyenv/versions/anaconda3-2020.07/lib/python3.8/site-packages/setuptools/command/install.py", line 61, in run
        return orig.install.run(self)
      File "/Users/ユーザー名/.pyenv/versions/anaconda3-2020.07/lib/python3.8/distutils/command/install.py", line 545, in run
        self.run_command('build')
      File "/Users/ユーザー名/.pyenv/versions/anaconda3-2020.07/lib/python3.8/distutils/cmd.py", line 313, in run_command
        self.distribution.run_command(command)
      File "/Users/ユーザー名/.pyenv/versions/anaconda3-2020.07/lib/python3.8/distutils/dist.py", line 985, in run_command
        cmd_obj.run()
      File "/Users/ユーザー名/.pyenv/versions/anaconda3-2020.07/lib/python3.8/distutils/command/build.py", line 135, in run
        self.run_command(cmd_name)
      File "/Users/ユーザー名/.pyenv/versions/anaconda3-2020.07/lib/python3.8/distutils/cmd.py", line 313, in run_command
        self.distribution.run_command(command)
      File "/Users/ユーザー名/.pyenv/versions/anaconda3-2020.07/lib/python3.8/distutils/dist.py", line 985, in run_command
        cmd_obj.run()
      File "/private/var/folders/z1/36pwjx2x4g59d2hvgtrlkjg40000gn/T/pip-install-r6h6bvbh/dlib_3de0f69c9fa748378eaf246904dea29f/setup.py", line 129, in run
        cmake_version = self.get_cmake_version()
      File "/private/var/folders/z1/36pwjx2x4g59d2hvgtrlkjg40000gn/T/pip-install-r6h6bvbh/dlib_3de0f69c9fa748378eaf246904dea29f/setup.py", line 122, in get_cmake_version
        raise RuntimeError("\n*******************************************************************\n" +
    RuntimeError:
    *******************************************************************
     CMake must be installed to build the following extensions: dlib
    *******************************************************************

    ----------------------------------------
ERROR: Command errored out with exit status 1: /Users/ユーザー名/.pyenv/versions/anaconda3-2020.07/bin/python -u -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'/private/var/folders/z1/36pwjx2x4g59d2hvgtrlkjg40000gn/T/pip-install-r6h6bvbh/dlib_3de0f69c9fa748378eaf246904dea29f/setup.py'"'"'; __file__='"'"'/private/var/folders/z1/36pwjx2x4g59d2hvgtrlkjg40000gn/T/pip-install-r6h6bvbh/dlib_3de0f69c9fa748378eaf246904dea29f/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' install --record /private/var/folders/z1/36pwjx2x4g59d2hvgtrlkjg40000gn/T/pip-record-xa5xf8b5/install-record.txt --single-version-externally-managed --compile --install-headers /Users/Mr.Kanto/.pyenv/versions/anaconda3-2020.07/include/python3.8/dlib Check the logs for full command output.```  

### 該当のソースコード  

ここに言語名を入力 ソースコード ```python

試したこと

全くわかりませんでした
ここに問題に対して試したことを記載してください。
Google先生で調べましたが何もわかりません

補足情報(FW/ツールのバージョンなど)

ここにより詳細な情報を記載してください。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • zi_zi

    2021/01/31 17:11

    ご丁寧に回答してくださりありがとうございます。OSはMacです。インストールしてみます!

    キャンセル

  • jbpb0

    2021/01/31 17:13

    Macなら、下記も見てください
    コンパイラの入れ方が回答に書かれてます
    https://teratail.com/questions/319309

    キャンセル

  • zi_zi

    2021/01/31 17:17

    ありがとうございます。勉強頑張ります!

    キャンセル

回答 2

checkベストアンサー

+1

エラーメッセージ「CMake must be installed to build the following extensions: dlib」に書いてあるとおり、dlibをインストールするにはCMakeをインストールしておく必要があるようです。

方法については、Webで検索すると出てきますので、それを参照ください。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2021/01/31 17:13

    ご丁寧にありがとうございます。実践してみます!

    キャンセル

+1

「package init file 'dlib/init.py' not found (or not a regular file)」(packageのinitファイル('dlib/init.py')が見つかりません(有りません) というエラーを、まず解決しましょう。

dlibディレクトリとは異なるディレクトリにinit.pyというファイルがありませんか?
あるなら、それをdlibディレクトリにコピーするとエラーが解消するかもしれません。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2021/01/31 17:16

    探してみます。ご丁寧なご回答ありがとうございます。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 87.48%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る